import { useMemo } from 'react';
var useComponentId = function useComponentId(props) {
  var __id = props.__id,
    componentId = props.componentId;
  return useMemo(function () {
    return __id || componentId;
  }, [__id, componentId]);
};
export default useComponentId;